Installation of the project server

Examples See also History Extra
Installation of the project server

This section contains information on the following topics:
  • Notes on installing the project server
  • Installing a project server
  • Uninstalling a project server


Notes on installing the project server

Examples See also History Extra
Introduction Installation of the project server with the TIA Portal Installation of the project server as standalone installation Identical TIA Portal versions during installation Installation path Installation of a newer project server Antivirus programs Supported virtualization platforms
Installing a project server Uninstalling a project server
Notes on installing the project server

Introduction

Installation of the project server enables you to use the functionality of Multiuser Engineering, of Multiuser Commissioning and of Exclusive Engineering .

You can install the project server as follows:

  • Together with the installation of the TIA Portal.

  • As standalone installation by means of a separate installation process without TIA Portal.

Note

Administrator rights are required for the server installation.

Installation of the project server with the TIA Portal

The project server is installed together with the following TIA Portal products:

  • SIMATIC STEP 7 Basic

  • SIMATIC STEP 7 Professional

  • SIMATIC WinCC Basic

  • SIMATIC WinCC Comfort/Advanced

  • SIMATIC WinCC Professional

The project server is usually activated by default in the product selection and is then installed with the TIA Portal. Check the settings during installation of the TIA Portal. You can find the specific default settings for the project server during setup when selecting the product in the "Options" directory. By selecting or clearing the options, you can specify if the project server is to be installed along with TIA Portal or not.

Installation of the project server as standalone installation

The installation of the project server can also be a standalone installation.

A description of automated installation is also available on the product DVD in the directory "Documents\Readme\<language directory>".

Identical TIA Portal versions during installation

When installing different TIA Portal products on various clients, make sure that all participants use the same versions of software products for the installation.

For example, if you have installed STEP 7 Professional, WinCC Advanced and Safety as well as the project server with version Vx.y, all other devices and clients must also have this software installed in the same versions.

The service packs and updates must be installed for all products at the same time.

Installation path

Do not use any UNICODE characters (for example, Chinese characters) in the installation path.

Installation of a newer project server

Make sure that you install the new project server first and then uninstall the older version of the project server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing project servers are completely deleted before the new installation, the user settings are lost and must be created again.

Antivirus programs

During the installation, read and write access to installed files is necessary. Some antivirus programs block this access. We therefore recommend that you disable antivirus programs during the installation of the project server and enable them again afterwards.

Supported virtualization platforms

You can also install the project server as well as the TIA Portal in a virtual machine.

For this purpose, use one of the following virtualization platforms in the specified version or a newer version:

  • VMware vSphere Hypervisor (ESXi) 6.5

  • VMware Workstation 12.5.7

  • VMware Player 12.5.7

  • Microsoft Hyper-V Server 2016

Installation of a visualization platform has the same requirements as the installation of the TIA Portal.


Installing a project server

Examples See also History Extra
Introduction Installation rules Requirements for installation Installing the project server with the TIA Portal Result Installing the project server as standalone product Result
Uninstalling a project server Notes on installing the project server
Installing a project server

Introduction

The project server can be installed as part of the installation of the TIA Portal or as standalone. If the project server is installed with the TIA Portal, the version of the project server installed will always correspond to that of the TIA Portal.

A description of automated installation is also available on the product DVD in the directory "Documents\Readme\<language directory>".

Note

New installation before uninstallation

Make sure that you install the new project server first and then uninstall the older version of the project server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing project servers are completely deleted before the new installation, the user settings are lost and must be created again.

Installation rules

Multiple versions of the project server can be installed on a computer and can use different project versions of the TIA Portal.

Usable project versions:

Versions of the project server | Versions of the TIA Portal
Server V16 | V16, V15.1, V15 and V14
Server V15.1 | V15.1, V15 and V14
Server V15 | V15 and V14
Server V14 | V14

Note, however, that each version of the TIA Portal and the project server only has the functionality contained in this version.

Multiuser Engineering does not upgrade the project versions.

Requirements for installation

Installation of the project server has the same requirements as the installation of the TIA Portal.

Installing the project server with the TIA Portal

Follow these steps for installation:

  1. Note the requirements for the installation of the selected software package.

  2. Start the setup program of the required product by inserting the installation medium into the respective drive.

  3. Select the preferred settings and click the "Install" button.

  4. Make sure that the project server is selected in the product selection and observe the notes in the setup dialogs.

Result

The project server was installed on your computer together with the TIA Portal.

Installing the project server as standalone product

Follow these steps for installation:

  1. Note the requirements for the installation of the project server.

  2. Start setup for the standalone installation of the project server with a double-click on the self-extracting .exe file "TIA_Portal_Project_Server_V<x.y>.exe". You can find these files in the directory "Support" on the corresponding product DVD.

  3. Select the preferred settings and click the "Install" button.

  4. Follow the instructions in the setup dialogs.

Result

The project server has been installed on your computer.


Uninstalling a project server

Examples See also History Extra
Introduction Requirements for removal Uninstalling a project server Result
Notes on installing the project server Installing a project server
Uninstalling a project server

Introduction

You can use the Control Panel to remove the project server.

Note

New installation before uninstallation

Make sure that you install the new project server first and then uninstall the older version of the project server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing project servers are completely deleted before the new installation, the user settings are lost and must be created again.

Requirements for removal

A project server is installed on your computer.

Uninstalling a project server

Proceed as follows for removal:

  1. Open the Control Panel.

  2. Double-click on "Uninstall a program" in the Control Panel.

    The "Uninstall or change a program" dialog opens.

  3. Right-click the entry for the "Project server" in the "'Uninstall or change a program" dialog, and click "Uninstall".

    A security prompt appears.

  4. Click "Yes" to confirm this prompt.

Result

The project server has been uninstalled from your computer.